Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# POA_ImplementationRepository::ServerObject Class Reference

`#include <ImplRepoS.h>`

Inheritance diagram for POA_ImplementationRepository::ServerObject:

[legend]
List of all members.

## Public Methods
| ServerObject (const ServerObject &rhs)
virtual | ~ServerObject (void)
virtual CORBA::Boolean | _is_a (const char *logical_type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual void * | _downcast (const char *logical_type_id)
virtual void | _dispatch (TAO_ServerRequest &req, void *_servant_upcall ACE_ENV_ARG_DECL)
::ImplementationRepository::ServerObject * | _this (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual void | ping (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
## Static Public Methods
void | _is_a_skel (TAO_ServerRequest &req, void *servant, void *servant_upcall ACE_ENV_ARG_DECL)
void | _non_existent_skel (TAO_ServerRequest &req, void *servant, void *servant_upcall ACE_ENV_ARG_DECL)
void | _interface_skel (TAO_ServerRequest &req, void *servant, void *servant_upcall ACE_ENV_ARG_DECL)
void | _component_skel (TAO_ServerRequest &req, void *obj, void *servant_upcall ACE_ENV_ARG_DECL)
void | ping_skel (TAO_ServerRequest &_tao_req, void *_tao_servant, void *_tao_servant_upcall ACE_ENV_ARG_DECL)
void | shutdown_skel (TAO_ServerRequest &_tao_req, void *_tao_servant, void *_tao_servant_upcall ACE_ENV_ARG_DECL)
## Protected Methods
| ServerObject (void)

## Constructor & Destructor Documentation

POA_ImplementationRepository::ServerObject::ServerObject | ( | void |  | ) | `[protected]`

POA_ImplementationRepository::ServerObject::ServerObject | ( | const ServerObject & | rhs | ) |

POA_ImplementationRepository::ServerObject::~ServerObject | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void POA_ImplementationRepository::ServerObject::_component_skel | ( | TAO_ServerRequest & | req,
|  | void * | obj,
|  | void *servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

virtual void POA_ImplementationRepository::ServerObject::_dispatch | ( | TAO_ServerRequest & | req,
|  | void *_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[virtual]`

void * POA_ImplementationRepository::ServerObject::_downcast | ( | const char * | logical_type_id | ) | `[virtual]`

const char * POA_ImplementationRepository::ServerObject::_interface_repository_id | ( | void |  | ) | const`[virtual]`

void POA_ImplementationRepository::ServerObject::_interface_skel | ( | TAO_ServerRequest & | req,
|  | void * | servant,
|  | void *servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

virtual CORBA::Boolean POA_ImplementationRepository::ServerObject::_is_a | ( | const char *logical_type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

void POA_ImplementationRepository::ServerObject::_is_a_skel | ( | TAO_ServerRequest & | req,
|  | void * | servant,
|  | void *servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

void POA_ImplementationRepository::ServerObject::_non_existent_skel | ( | TAO_ServerRequest & | req,
|  | void * | servant,
|  | void *servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

ImplementationRepository::ServerObject * POA_ImplementationRepository::ServerObject::_this | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

virtual void POA_ImplementationRepository::ServerObject::ping | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in ServerObject_i.

void POA_ImplementationRepository::ServerObject::ping_skel | ( | TAO_ServerRequest & | _tao_server_request,
|  | void * | _tao_servant,
|  | void *_tao_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

virtual void POA_ImplementationRepository::ServerObject::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in ServerObject_i.

void POA_ImplementationRepository::ServerObject::shutdown_skel | ( | TAO_ServerRequest & | _tao_server_request,
|  | void * | _tao_servant,
|  | void *_tao_servant_upcall | ACE_ENV_ARG_DECL
| ) | `[static]`

The documentation for this class was generated from the following files:

- ImplRepoS.h
- ImplRepoS.cpp